--- scheduler/main.c.orig	2003-05-01 19:58:28.000000000 +0200
+++ scheduler/main.c	2003-05-03 18:54:34.000000000 +0200
@@ -250,6 +250,25 @@
 
     chdir("/");
 
+   /*
+    * Write PID file
+    */
+#ifdef PID_FILE
+    {
+      mode_t old_umask;
+      pid_t  pid;
+      FILE   *fp;
+
+      old_umask = umask((mode_t) 0022);
+      pid = getpid();
+      if ((fp = fopen(PID_FILE, "w")) == NULL)
+        syslog(LOG_ERR, "cannot write PID file '%s'", PID_FILE);
+      fprintf(fp, "%ld\n", (long)pid);
+      fclose(fp);
+      umask(old_umask);
+    }
+#endif
+
 #ifndef DEBUG
    /*
     * Disable core dumps...
--- backend/usb-unix.c.orig	2004-11-02 19:45:51 +0100
+++ backend/usb-unix.c	2004-11-02 19:45:59 +0100
@@ -50,6 +50,7 @@
 #  ifdef __sparc
 #    include <sys/ecppio.h>
 #  else
+#    include <sys/ioctl.h>
 #    include <sys/ioccom.h>
 #    include <sys/ecppsys.h>
 #  endif /* __sparc */
--- systemv/Makefile.orig	2004-09-20 20:45:52 +0200
+++ systemv/Makefile	2004-09-20 20:47:30 +0200
@@ -78,7 +78,7 @@
 	$(INSTALL_BIN) lpoptions $(BINDIR)
 	$(INSTALL_BIN) lpstat $(BINDIR)
 	-$(INSTALL_BIN) -m 4755 -o $(CUPS_USER) -g $(CUPS_GROUP) lppasswd $(BINDIR)
-	if test ! -x $(BINDIR)/lppasswd; then \
+	if -e $(BINDIR)/lppasswd -a test ! -x $(BINDIR)/lppasswd; then \
 		chmod 755 $(BINDIR)/lppasswd; \
 	fi
 
